Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF 2.14.1, ADTF MLSLBlockset 1.3.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 2nd Level Topic: MLSLBlockset::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Wir haben hier eine Kundenanfrage bezüglich des MLSL Blocksets. Der Kunde hat festgestellt das es zwischen Windows und Linux

Unterschiede bezüglich folgender Files gibt:

./scripts/CreateStartupM.p

./bin/adtf_mlsl_blockset.slx

./bin/MEX_AdtfTimeControl.lib

./bin/MEX_AdtfTimeControl.mexw64

./bin/MEX_AdtfTimeControl.pdb

 Unter Linux werden die files nicht installiert, sind aber für den Kunden wichtig.

Die Dokumentation des Blocksets enthält keine Infos, warum diese Files unter Linux fehlen. Der Kunde braucht die Toolbox auch

unter Linux. Hat es einen Grund warum das Script für die manuelle Registrierung bei Matlab nicht drin ist und dadurch ADTF nicht in

Matlab registriert werden kann? Beziehungsweise das durch die fehlenden MEX files das zur Verfügung gestellte Beispiel nicht läuft.

Installierte Versionen:

Linux Ubuntu 16.04.5 LTS

EB Assist ADTF 2.14.1- Matlab R2018b (installed under the Linux system)- ADTF MLSL Blockset Version 1.3.0

Lösung

Das ADTF MLSL Blockset unterstützt an sich kein Matlab unter Linux. D.h es kann kein Matlab unter Linux gestartet werden,

welches mit einem ADTF kommuniziert.

Die enthaltene Funktionalität in der Toolbox für Linux ist lediglich dazu da um mit einem ADTF auf Linux mit einem Matlab das unter

Windows läuft zu kommunizieren.

Es sind nur folgende Komponenen enthalten:

ADTF MLSL Clock Filter -> Zur Zeitsynchronisation mit einem MLSL Matlab

MLSL DDL Converter Filte -> Zur Konvertierung von ADTF Daten in eine Form das MLSL Matlab die Daten verstehen kann.

Es ist auch nicht vorgesehen eine vollumfängliche ADTF MLSL Toolbox für Linux zu entwickeln.

History

#1 - 2018-12-10 19:08 - hidden

- Topic set to MLSLBlockset::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.14.1, ADTF MLSLBlockset 1.3.0 added

- Platform Ubuntu 16.04 64bit added
#2 - 2018-12-10 19:08 - hidden

- Project changed from Public Support to 7

#3 - 2018-12-12 14:09 - hidden

Hallo Anja,

Das ADTF MLSL Blockset unterstützt an sich kein Matlab unter Linux. D.h es kann kein Matlab unter Linux gestartet werden, welches mit einem

ADTF kommuniziert.

Die enthaltene Funktionalität in der Toolbox für Linux ist lediglich dazu da um mit einem ADTF auf Linux mit einem Matlab das unter Windows läuft zu

kommunizieren.

Es sind nur folgende Komponenen enthalten:

ADTF MLSL Clock Filter -> Zur Zeitsynchronisation mit einem MLSL Matlab

MLSL DDL Converter Filte -> Zur Konvertierung von ADTF Daten in eine Form das MLSL Matlab die Daten verstehen kann.

Es ist auch nicht vorgesehen eine vollumfängliche ADTF MLSL Toolbox für Linux zu entwickeln.

Viele Grüße

Markus

#4 - 2018-12-12 14:16 - hidden

Hallo Anja,

beantwortet das deine Frage so weit oder brauchst du noch weitere Informationen?

Grüße

Markus

#5 - 2018-12-12 14:17 - hidden

- Status changed from New to Customer Feedback Required

#6 - 2018-12-13 09:30 - hidden

Hallo Markus,

im Prinzip schon. Danke. Ich habe das dem Kunden so weitergeleitet. Ich weiß nicht ob da noch eine Rückfrage kommen wird.

Best regards,

Anja Winkler

#7 - 2018-12-17 11:46 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-2215 Probleme mit der Installation und Konfigurierung der ADTF MLSL Blockset Toolbox unter Linux

to EBPRODUCTSUPPORT-2215 Problems using ADTF MLSL Blockset Toolbox on Linux

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Not Supported Scope

#8 - 2018-12-17 11:46 - hidden

- Status changed from To Be Closed to Closed

#9 - 2018-12-17 11:46 - hidden

- Private changed from Yes to No
